"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const deploy_1 = require("@edgio/core/deploy");
const checkForCustomFramework_1 = __importDefault(require("./utils/checkForCustomFramework"));
const updateDependencies_1 = __importDefault(require("./utils/updateDependencies"));
const install_1 = __importDefault(require("./utils/install"));
const chalk_1 = __importDefault(require("chalk"));
const ora_1 = __importDefault(require("ora"));
/**
 * Adds all required dependencies and files to the user's app by copying them
 * over from src/default-app.
 */
function init() {
    return __awaiter(this, void 0, void 0, function* () {
        const builder = new deploy_1.DeploymentBuilder(process.cwd());
        const spinner = (0, ora_1.default)(`${chalk_1.default.green('Updating dependencies...')}`).start();
        (0, checkForCustomFramework_1.default)(builder);
        yield (0, updateDependencies_1.default)();
        yield (0, install_1.default)(spinner);
        builder.addDefaultAppResources((0, path_1.join)(__dirname, 'default-app')).addDefaultEdgioScripts();
    });
}
exports.default = init;
