"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* istanbul ignore file */
const CreateServiceWorkerPlugin_1 = __importDefault(require("./sw/CreateServiceWorkerPlugin"));
const path_1 = require("path");
const fs_1 = require("fs");
function edgioNuxtModule({ edgioSourceMaps = false } = {}) {
    this.extendBuild((config, { isClient = false, isServer = false }) => {
        if (isClient) {
            config.plugins.push(new CreateServiceWorkerPlugin_1.default());
        }
        if (isServer && edgioSourceMaps && process.env.NODE_ENV === 'production') {
            // Enable sourcemap for meaningful stack trace in Edgio Log Streamer
            // We force the 'source-map' value as this is what we expect to consume on
            // our lambda insfrastructure
            config.devtool = 'source-map';
        }
    });
    this.options.plugins.push({
        src: (0, path_1.join)(__dirname, 'sw', 'InstallServiceWorkerPlugin.js'),
        ssr: false,
    });
    const devtoolsWidgetInstallScript = (0, path_1.join)(process.cwd(), 'node_modules', '@edgio', 'devtools', 'widget', 'install.js');
    if ((0, fs_1.existsSync)(devtoolsWidgetInstallScript)) {
        this.options.plugins.push({
            src: devtoolsWidgetInstallScript,
            ssr: false,
        });
    }
}
exports.default = edgioNuxtModule;
