import { RouterPlugin } from '@edgio/core/router/Router';
import { Router } from '@edgio/core/router';
export declare const EDGIO_NUXT_CONFIG_PATH = ".edgio/edgio-nuxt.config.json";
export declare const FAR_FUTURE_TTL_WITH_UNIT = "10y";
export declare const browserAssetOpts: {
    permanent: boolean;
    exclude: string[];
};
export default class NuxtRoutes implements RouterPlugin {
    private router?;
    private buildDir;
    protected routesManifest: any;
    private readonly config;
    /**
     * Provides nuxt registered routes to router
     */
    constructor();
    /**
     * Called when plugin is registered. Creates a route group and add all nuxt routes into it.
     * @param {Router} router
     */
    onRegister(router: Router): void;
    /**
     * Adds catchAll route
     */
    addFallback(): void;
    /**
     * Adds nuxt routes to router
     * @param {RouteGroup} group
     */
    private addNuxtRoutes;
    addPages(): void;
    /**
     * Adds routes for static assets, including /static and /.nuxt/static
     * @param group
     */
    private addAssets;
    private log;
}
