"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("@edgio/core/constants");
const addPreloadHeaders_1 = __importDefault(require("@edgio/core/router/addPreloadHeaders"));
/**
 * Creates a function that proxies a request to next.js.
 *
 *  new Router()
 *    .get('/products/:id', res => {
 *      res.cache({
 *        edge: {
 *          maxAgeSeconds: 60 * 60 // 1 hour
 *        }
 *      })
 *      return renderNuxtPage(res)
 *    })
 *
 * @param res The response writer passed into your route handler
 * @return Promise A promise that resolves when the response has been received from Next.js
 */
function renderNuxtPage(res) {
    return res.proxy(constants_1.BACKENDS.js, {
        transformResponse: addPreloadHeaders_1.default,
    });
}
exports.default = renderNuxtPage;
