import { InjectManifest } from 'workbox-webpack-plugin';
/**
 * This can be added to a nuxt.config.js configuration as a build plugin, to
 * allow a service worker to have the manifest injected when building for Edgio.
 *
 * Example nuxt.config.js:
 *
 * ```js
 *  build: {
 *    extend(config, { isClient }) {
 *      if (isClient) {
 *        config.plugins.push(new CreateServiceWorkerPlugin())
 *      }
 *    },
 *  }
 * ```
 */
export default class CreateServiceWorkerPlugin extends InjectManifest {
    constructor(config?: any);
    handleEmit(compilation: any): Promise<void>;
    /**
     * Writes the service worker to disk in dev mode. Since Nuxt uses an in-memory fs in dev
     * mode, the only way the user can test the service worker is if we explictly write it to disk
     * so it can be served from Edgio.
     * @param compilation
     */
    private writeFile;
}
