"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const { loadNuxtConfig } = require('nuxt');
/**
 * Ensures that nuxt.config.js exists and has mode: 'universal' (or undefined).
 * @param {String} appDir The path to Edgio app's root directory
 */
function validateNuxtConfig(appDir) {
    return __awaiter(this, void 0, void 0, function* () {
        const nuxtConfig = yield loadNuxtConfig({ rootDir: appDir });
        if (nuxtConfig.mode && nuxtConfig.mode !== 'universal') {
            console.log(chalk_1.default.red.bold('Error: You must set mode: "universal" in nuxt.config.js. Please update this file and try again.'));
            // We signal to the next process in chain that there was an error.
            process.exit(1);
        }
    });
}
exports.default = validateNuxtConfig;
